ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Alexey Kukushkin <kukushkinale...@gmail.com>
Subject Re: IGNITE-6879
Date Wed, 04 Apr 2018 10:41:15 GMT
Roman, Dmitry,

I also reviewed the fix and the code looks OK to me. But the fix has
significant implication - Ignite no longer can be used with spring-data 1.0
due to no backward compatibility between spring 2.0 and 1.0 APIs. With this
approach we must remember to add corresponding spring-data migration
instructions to the future ignite 2.5 migration guide.

We could keep spring 1 support and backward compatibility by creating a new
module "ignite-spring-2-data" and keeping existing ignite-spring-data as
is. I do not like this option since to me increased complexity and
maintainability costs overweight the benefits of protecting
"Ignite-spring-1" users.

I suggest you find a committer (see this list
<https://ignite.apache.org/community/resources.html#people>), communicate
the implication I mentioned above and say that two people already approved
the code providing we are OK with the chosen approach.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message